Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.licel.jcardsim.smartcardio
Class JCSTerminal

    java.lang.Object
      javax.smartcardio.CardTerminal
          com.licel.jcardsim.smartcardio.JCSTerminal

    public class JCSTerminal

extends javax.smartcardio.CardTerminal

CardTerminal implementation class.

Constructor Summary
`JCSTerminal()`

Method Summary
`javax.smartcardio.Card` | `connect(String string)`
`String` | `getName()`
`boolean` | `isCardPresent()` Always returns true
`boolean` | `waitForCardAbsent(long l)` Immediately returns true
`boolean` | `waitForCardPresent(long l)` Immediately returns true

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JCSTerminal

    public JCSTerminal()

Method Detail

### getName

    public String getName()

  Specified by:
    `getName` in class `javax.smartcardio.CardTerminal`

### connect

    public javax.smartcardio.Card connect(String string)
                                   throws javax.smartcardio.CardException

  Specified by:
    `connect` in class `javax.smartcardio.CardTerminal`
  Throws:
    `javax.smartcardio.CardException`

### isCardPresent

    public boolean isCardPresent()
                          throws javax.smartcardio.CardException

  Always returns true

  Specified by:
    `isCardPresent` in class `javax.smartcardio.CardTerminal`
  Throws:
    `javax.smartcardio.CardException`

### waitForCardPresent

    public boolean waitForCardPresent(long l)
                               throws javax.smartcardio.CardException

  Immediately returns true

  Specified by:
    `waitForCardPresent` in class `javax.smartcardio.CardTerminal`
  Throws:
    `javax.smartcardio.CardException`

### waitForCardAbsent

    public boolean waitForCardAbsent(long l)
                              throws javax.smartcardio.CardException

  Immediately returns true

  Specified by:
    `waitForCardAbsent` in class `javax.smartcardio.CardTerminal`
  Throws:
    `javax.smartcardio.CardException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD